0.01 credits per call
blockSubscribe on Solana: Subscribes to receive notification when a new block is confirmed.
Endpoint
blockSubscribe is a WebSocket subscription method.
Authenticate with Authorization: Bearer <GOLDRUSH_API_KEY>. See authentication.
Parameters
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
filter | string | object | yes | "all" or {mentionsAccountOrProgram: <base-58 address>}. | "all" |
config | object | no | {commitment?, encoding?, transactionDetails?, showRewards?, maxSupportedTransactionVersion?}. | {"commitment":"confirmed","encoding":"jsonParsed","maxSupportedTransactionVersion":0,"transactionDetails":"full","showRewards":true} |
Returns
number: Subscription id (used with blockUnsubscribe). Notifications arrive as blockNotification messages.
Examples
Errors
Standard JSON-RPC errors:-32600 invalid request, -32601 method not found, -32602 invalid params.